petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetDMKSPWrite

get write access to private DMKSP context from a DM

### Synopsis

    #include "petscksp.h"
    PetscErrorCode DMGetDMKSPWrite(DM dm,DMKSP *kspdm)

Not Collective

### Input Argument

dm -DM to be used with KSP

### Output Argument

kspdm -private DMKSP context

### See Also

DMGetDMKSP()

### Level

developer

### Location

src/ksp/ksp/interface/dmksp.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages